class_hierarchyp0_(class_hierarchyp0__dcl).
class_hierarchyp0__dcl(class(_114025),p(p(p)),static,no).
class_hierarchyp0__dcl(classes(_114025),p(p(p)),static,no).
class_hierarchyp0__dcl(instance(_114025),p(p(p)),static,no).
class_hierarchyp0__dcl(instances(_114025),p(p(p)),static,no).
class_hierarchyp0__dcl(subclass(_114025),p(p(p)),static,no).
class_hierarchyp0__dcl(subclasses(_114025),p(p(p)),static,no).
class_hierarchyp0__dcl(superclass(_114025),p(p(p)),static,no).
class_hierarchyp0__dcl(superclasses(_114025),p(p(p)),static,no).
class_hierarchyp0__dcl(leaf_instance(_114025),p(p(p)),static,no).
class_hierarchyp0__dcl(leaf_instances(_114025),p(p(p)),static,no).
class_hierarchyp0__dcl(leaf_class(_114025),p(p(p)),static,no).
class_hierarchyp0__dcl(leaf_classes(_114025),p(p(p)),static,no).
class_hierarchyp0__dcl(descendant_instance(_114025),p(p(p)),static,no).
class_hierarchyp0__dcl(descendant_instances(_114025),p(p(p)),static,no).
class_hierarchyp0__dcl(descendant_class(_114025),p(p(p)),static,no).
class_hierarchyp0__dcl(descendant_classes(_114025),p(p(p)),static,no).
:-(class_hierarchyp0__dcl(_114023,_114024,_114025,_114026,class_hierarchyp),class_hierarchyp0__dcl(_114023,_114024,_114025,_114026)).
:-(class_hierarchyp0__dcl(_114023,_114024,_114025,_114026,_114027),hierarchyp0__dcl(_114023,_114024,_114025,_114026,_114027)).
:-(initialization('$lgt_assert_relation_clauses'(['$lgt_current_protocol_'(class_hierarchyp,class_hierarchyp0_),'$lgt_extends_protocol_'(class_hierarchyp,hierarchyp,public)]))).
